Page MenuHomePhabricator

Android Production Release 2.0.105
Closed, ResolvedPublic

Description

See Android release process for process documentation.

Release version: 2.0.105
Release tag: r/2.0.105-r-2015-06-30
Release SHA1: 530d791f7fa2fa449ae9f34d114b049b6bb3b168
Google Play Store Beta app build and publish date: 2015-06-30
Production APK build date: 2015-06-30
Google Play Store production (Alpha testing) publish date: 2015-06-30
Amazon Appstore APK build date: 2015-06-30
Other partner APKs build date: 2015-06-30
Regression Testing URL: https://docs.google.com/spreadsheets/d/1rWbxPnWfiqK-c3uNaOv1ajvviUzQepyARkBGVqf8tqo/edit#gid=0

Google Play Store Production app rollout schedule:

  • 5%: 2015-07-07 (AM)
  • 25%: 2015-07-07 (PM)
  • 100% (notify mobile-l): 2015-07-08 (AM)

Amazon Appstore publish date: 2015-07-08

Change highlights

  • Wider images in regular article pages T94646
  • Added testing for new method of generating suggested reading T101041
  • Add Chinese language variants to language pickers T99965 T62743
  • Add system language support to Wikipedia language picker [https://gerrit.wikimedia.org/r/#/c/209656/]
  • Remove initial onboarding screen T102482
  • Add link to privacy policy in login and create account screens T103201
  • ShareAFact license icon reflects the license of the image T101436
  • Consistent list item layout for search results, history, saved pages, disambiguation, and read more T97822
  • Remove "More information" from image gallery menu T86810
  • Add "Search Wikipedia" as a share target for other apps T73234
  • Add link to Wikipedia App FAQ to preferences menu T99783

Bugs

  • Fix crash when rotating with highlighted text T103050 T97963
  • Fix sporadic article back history crash T104090
  • Fix issue where previously viewed articles were not updated (cached pages too much) T101845
  • Fix possible crash when pulling out ToC T96358
  • Fix toolbar translucency when TOC closed T100382
  • Simplify and fix inconsistencies in share-a-fact handlers T99151 T99144 T96493 T98994
  • Fix some ISBN number refs T102543
  • Remove main and disambiguation pages from "read more" section T95365
  • Make sure "page does not exist" error is hidden when loading new page
  • Fix erroneous description in articles without a description T100173
  • Fix thumbnails in saved pages list T102024
  • Use separate random number for feature flagging T101833
  • Fix TextView directionality issue for mixed LTR and RTL strings T97958

On deck: Feature flagged for Beta app only (not yet in this production release)

  • Tabbed browsing T69251
  • A/B test for Link previews: prototype 1: T95030 T96068, prototype 2: T95723 (50% of users get one of the two link preview prototypes)

Related Objects

Mentioned Here
rAPAW530d791f7fa2: Bump versionCode
T97963: Crash when Highlighting History
T103050: App crashes when changing orientation or language with text highlighted
T104090: NPE in JsonPageLoadStrategy.updateCurrentBackStackItem
rAPAW4680a6a78584: Bump versionCode
T62743: Special case Traditional and Simplified Chinese in all language handling
T69251: Implement tabbed browsing design
T73234: Add Wikipedia app to share menu
T86810: Remove 'More information' from overflow menu in image gallery
T94646: In article images: Use a higher res image if available and set it to the width of the column text.
T95030: As a user I want to get quick context about a link. A combination of text and image will help me learn. (Prototype 1)
T95365: Disambiguation Pages should not appear in Read More
T95723: As a user I want to get quick context about a link. A combination of text and image will help me learn. (Prototype 2b)
T96068: Adjust link preview prototype 1
T96358: NPE crash from page.ToCHandler$2.onDrawerOpened when opening the left hamburger (TOC) before page is loaded
T96493: Using “Share a fact” should not take coordinates as the default text (on some pages)
T97822: Consistency of table views and lists (recent, search, read more)
T97958: Article title is wrongly aligned in mixed RTL and LTR
T98994: Share A Fact should default to no text selected behavior when only whitespace is highlighted
T99144: 2.0.101-alpha-2015-05-05 - 'Share a fact' card displays extraneous info
T99151: 'Share fact' displays incomplete info
T99783: Link App FAQ from the More menu
T99965: in the list of languages Chinese is shown as english
T100173: Articles with no Wikidata description show an erroneous description upon refreshing / going back.
T100382: Partially opening the table of contents drawer doesn't reset toolbar translucency on close
T101041: Switch to using CirrusSearch's "morelike:" prefix for fetching Read More suggestions.
T101436: Extract exact license info for share a fact cards
T101833: Use a Random number (instead of UUID) for feature flagging.
T101845: Android app showing cached versions of pages too aggressively
T102024: Saved pages list entries should have thumbnails, if available
T102482: Disable initial login onboarding activity.
T102543: ISBN number links don't work
T103201: Add a link to the Privacy Policy from the Login and Create Account screens.

Event Timeline

bearND created this task.Jun 25 2015, 6:55 AM
bearND updated the task description. (Show Details)
bearND raised the priority of this task from to Needs Triage.
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2015, 6:55 AM
bearND updated the task description. (Show Details)Jun 25 2015, 8:26 PM
bearND set Security to None.
bearND updated the task description. (Show Details)Jun 25 2015, 11:22 PM
bearND added projects: Roadmap, Notice.
bearND moved this task from Unscheduled to June 29-July 3 on the Roadmap board.
Dbrant updated the task description. (Show Details)Jun 26 2015, 2:07 AM
Dbrant triaged this task as Normal priority.
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 26 2015, 8:26 PM
bearND moved this task from June 29-July 3 to July 6-10 on the Roadmap board.Jun 30 2015, 3:57 PM
bearND renamed this task from Android Production Release 2.0.104 to Android Production Release 2.0.105.Jun 30 2015, 11:27 PM
bearND updated the task description. (Show Details)
gpaumier moved this task from Triaged to Archive on the Notice board.Jul 2 2015, 8:19 PM
Dbrant claimed this task.Jul 7 2015, 3:55 PM
Dbrant closed this task as Resolved.Jul 21 2015, 11:58 AM